function g = gauss2d(n,a)


// GAUSS2D      GAUSS2D(N,A) returns the NxN-point Gauss 2d-window.
//            a corresponds to an attenuation of 10^(-a) at the end of the
//            Gauss window
// Input:     -N number of points in one direction
//            -a dB attenuation. Default value is a = 2.
// Output:    -g time samples of the Gauss window
//
// Example:
//
// See also:
//


[nargout,nargin] = argn();
narg=nargin;
if narg==2
  g1=gauss(n,a);
else
  g1=gauss(n);
end


g=g1'*g1;




