function [gx,gy]=gauss2dprim(n,alpha)


// GAUSS2DPRIM      GAUSS2DPRIM(N,A) returns the derivative of
//                  NxN-point Gauss 2d-window.
//            a corresponds to an attenuation of 10^(-a) at the end of the
//            Gauss window
// Input:     -N number of points in one direction
//            -a dB attenuation. Default value is a = 2.
// Output:    -g time samples of the derivative of Gauss window
//
// Example:
//
// See also:
//


[nargout,nargin] = argn();


if nargin == 1
  alpha = 2 ;
end


g=gauss(n,alpha);
g1=gauss(n,alpha,1);
gx=g'*g1;
gy=g1'*g;




