.TH "gauss" 2 " June 6th 1997" "Fractales Group" "Scilab Function"

.SH NAME
gauss -  Gaussian window
.sp
Author: Paulo Goncalves
.sp
Returns a Gaussian window
.sp
.sp
.SH Usage
.nf
Win = gauss(N[,A])
.fi 
.SH Input parameters


.RS

.TP
o 
\fBN\fP :  Positive integer
Number of points defining the time support of the window

.TP
o 
\fBA\fP : Real positive scalar 
Attenuation in dB at the end of the window (10\(ha(-A)). Default value is \fIA\fP = 2.
.RE

.SH Output parameters


.RS

.TP
o 
\fBWin\fP : real vector [1,N]
Gaussian window in time.
.RE

.SH See also:
mexhat, morlet
.SH Example:
.nf
t = linspace(-1,1,128) ;
Win1 = gauss(128,2) ;
Win2 = gauss(128,5) ;

plot2d([t(:) t(:)],[Win1(:) Win2(:)],[17 19])
.fi 

