.TH "morlet" 2 " June 6th 1997" "Fractales Group" "Scilab Function"

.SH NAME
morlet -  Morlet wavelet
.sp
Author: Paulo Goncalves
.sp
Computes a Morlet wavelet.
.sp
.sp
.SH Usage
.nf
[wavelet,alpha] = morlet(nu,[N,analytic]) 
.fi
.SH Input parameters


.RS

.TP
o 
\fBnu\fP :  real scalar between 0 and 1/2
Central (reduced) frequency of the wavelet

.TP
o 
\fBN\fP : Positive integer
Half length of the wavelet transform. Default value corresponds to a
total length of 4.5 periods.

.TP
o 
\fBanalytic\fP : boolean (0\fP/1) under Matalb or (%F\fP/%T) under Scilab. 
0 or %F : real Morlet wavelet
1 or %T : analytic Morlet wavelet
.RE

.SH Output parameters


.RS

.TP
o 
\fBwavelet\fP : real or complex vector [1,2*N+1]
Morlet wavelet in time.

.TP
o 
\fBalpha\fP : real scalar
Attenuation exponent of the Gaussian enveloppe of the Morlet wavelet.
.RE

.SH See also:
mexhat, contwt
.SH Example:
.nf
//wavelet synthesis
wavelet1 = morlet(0.1,64) ;plot(wavelet1)

wavelet2 = morlet(0.1) ;plot(wavelet2)
.fi 

