.TH "sortup" 2 " June 6th 1997" "Fractales Group" "Scilab Function"

.SH NAME
sortup - Sorts the elements of an array in increasing order
.sp
Author: Paulo Goncalves
.sp
Sorts the elements of an array in increasing order
.sp
.sp
.SH Usage
.nf
[yup,kup] = sortup(x[,how]) 
.fi 
.sp
.SH Input parameters


.RS

.TP
o 
\fBx\fP : Real valued array [rx,cx]

.TP
o 
\fBhow\fP : option argument 
'*' : x is treated as x(:). \fIsortup\fP returns a [rx,cx] array 
'c' : x is treated columnwise. \fIsortup\fP returns a [rx,cx] array which columns are sorted in increasing order 
'r' : x is treated in row.  \fIsortup\fP returns a [rx,cx] array which rows are sorted in increasing order 
Default value is '*'
.RE

.SH Output parameters


.RS

.TP
o 
\fByup\fP : Real matrix [rx,cx]  
Sorted elements of \fIx\fP 

.TP
o 
\fBkup\fP : Integer matrix [rx,cx]  
Indices of the sorted elements of \fIx\fP
.RE

.SH See also:
sort
.SH Example:
.nf
[y,x] = sort(rand(4,4)) ; 
x
xSortAll = sortup(x,'*')
xSortCol = sortup(x,'c') 
xSOrtRow = sortup(x,'r')
.fi 
