.TH "strfbm" 2 " February 20th 1998" "Fractales Group" "Scilab Function"

.SH NAME
strfbm - Structure Function of a Brownian Field 
.sp
Author: B. Pesquet-Popescu (ENS-Cachan)
.sp
Creates the structure function of an isotropic fBm
.sp
.sp
.SH Usage
.nf
[Y] = strfbm(x,y,H)
.fi 
.sp
.SH Input parameters


.RS

.TP
o 
\fB x \fP : Real vector [1,N]
vertical coordinate

.TP
o 
\fB y \fP : Real scalar [1,M]
horizontal coordinate

.TP
o 
\fB H \fP : Real in [0,1]
Hurst parameter
.RE

.SH Output parameters


.RS

.TP
o 
\fB Y \fP : Matrix  [N,M] 
Matrix containing the values of the structure function
.RE

.SH See also:
synth2
.SH Example:
.nf
x = 1:128 ;
y = 1:128 ;
[Y] = strfbm(x,y,0.8) ;
.fi 

