.TH "wave2gifs" 2 " June 6th 1997" "Fractales Group" "Scilab Function"
.SH NAME
wave2gifs - Computation of IFS coef. with Discrete Wavelet coefficients
.SH CALLING SEQUENCE
.nf
[Ci,Ci_idx,Ci_lg,pc0,pc_ab]=wave2gifs(wt,wt_idx,wt_lg, [M0,a,b])
.fi
.SH PARAMETERS
.TP 10
o 
\fBwt\fP is a real matrix which is a 
structure containg the wavelet coefficients and other informations. It is
obtained using \fBFWT\fP. 

.TP
o 
\fBwt_idx\fP is a real vector which
contains the indexes (in wt) of the first wavelet coefficient a each scale.
For instance, wt(wt_idx(1) : wt_idx(2)-1) is a vector containing the wavelet
coefficients a the finest scale.


.TP
o 
\fBwt_lg\fP is a real vector which
contains the length of wavelet coefficients a each scale.
For instance, wt_lg(1) is the number of the wavelet
coefficients a the finest scale.

.TP
o 
\fBM0\fP is a real positive scalar such that each GIFS coefficient (ci) 
whose absolute 
value belong to ]1,M0[ will
be replaced by 0.99*signe(ci).

.TP
o 
\fBa\fP and \fBb\fP are two real positive scalars.
The routine gives the percentage of the Ci's whose absolute values belong
to ]a,b[ (if not specified, ]a,b[=]0,2[).

.TP
o 
\fBCi\fP is a real matrix
which contains the GIFS coefficients, the size of the signal in Ci(lenght(Ci))
and the number of scales used in the wavelet decomposition in Ci(lenght(Ci)-1).

.TP
o 
\fBCi_idx\fP is a real matrix 
which ontains the the indexes of the first Ci at each scale.
For instance, Ci(Ci_idx(j) : Ci_idx(j)+ Ci_lg(j) - 1) is a vector containing
the GIFS coefficients at scale j (the finest scale is j=1).

.TP
o 
\fBCi_lg\fP is a real vector which
contains the length of GIFS coefficients a each scale.
For instance, Ci_lg(1) is the number of the wavelet
coefficients a the finest scale.

.TP
o 
\fBpc0\fP is a real scalar
which gives the percentage of vanishing GIFS coefficients.

.TP
o 
\fBpc_ab\fP is a real scalar which
gives the percentage of GIFS coefficients which belong to ]a,b[.
.RE

.SH DESCRIPTION
Computes the \fIGIFS cefficients\fP of a
1-\fPD real signal as the ratio between (synchrounous) wavelets coefficients
at successive scales. You have to compute the wavelet
coefficients of the given signal (using FWT) before using \fIwave2gifs\fP.

.SH SEE ALSO:
FWTm, MakeQMF
.SH Author
Khalid Daoudi
