/* This Software is ( Copyright INRIA . 1998  1 )                    */
/*                                                                   */
/* INRIA  holds all the ownership rights on the Software.            */
/* The scientific community is asked to use the SOFTWARE             */
/* in order to test and evaluate it.                                 */
/*                                                                   */
/* INRIA freely grants the right to use modify the Software,         */
/* integrate it in another Software.                                 */
/* Any use or reproduction of this Software to obtain profit or      */
/* for commercial ends being subject to obtaining the prior express  */
/* authorization of INRIA.                                           */
/*                                                                   */
/* INRIA authorizes any reproduction of this Software.               */
/*                                                                   */
/*    - in limits defined in clauses 9 and 10 of the Berne           */
/*    agreement for the protection of literary and artistic works    */
/*    respectively specify in their paragraphs 2 and 3 authorizing   */
/*    only the reproduction and quoting of works on the condition    */
/*    that :                                                         */
/*                                                                   */
/*    - "this reproduction does not adversely affect the normal      */
/*    exploitation of the work or cause any unjustified prejudice    */
/*    to the legitimate interests of the author".                    */
/*                                                                   */
/*    - that the quotations given by way of illustration and/or      */
/*    tuition conform to the proper uses and that it mentions        */
/*    the source and name of the author if this name features        */
/*    in the source",                                                */
/*                                                                   */
/*    - under the condition that this file is included with          */
/*    any reproduction.                                              */
/*                                                                   */
/* Any commercial use made without obtaining the prior express       */
/* agreement of INRIA would therefore constitute a fraudulent        */
/* imitation.                                                        */
/*                                                                   */
/* The Software beeing currently developed, INRIA is assuming no     */
/* liability, and should not be responsible, in any manner or any    */
/* case, for any direct or indirect dammages sustained by the user.  */
/*                                                                   */
/* Any user of the software shall notify at INRIA any comments       */
/* concerning the use of the Sofware (e-mail : FracLab@inria.fr)     */
/*                                                                   */
/* This file is part of FracLab, a Fractal Analysis Software         */

#ifdef SHORT
#define TYPIN  short
#else
#define TYPIN  double
#endif
#define TYPOUT double

void AlphaMoyGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaVarGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaEcartGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaMinGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaMaxGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaIsoGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py, TYPOUT param));
void AlphaRIsoGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py, TYPOUT param)); 
void AlphaAsymGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaAplaGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaContGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py)); 
void AlphaLognormGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaVarlogGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaRhoGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaPowGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py, TYPOUT p));
void AlphaLogpowGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py, TYPOUT p));
void AlphaGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaFrontMaxGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));
void AlphaFrontMinGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py));


void InitWin _PARAMS((int N, int Ux, int Uy) );
void AlphaNormDiffVertGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py) );
void AlphaNormDiffMaxGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py) );
void AlphaNormDiffMinGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py) );
void AlphaNormDiffHoriGrain _PARAMS((TYPIN *in, TYPOUT *out, int sx, int sy, int res, int N, int Ux, int Uy, int Px, int Py)) ;

